extends ../_docs-template

block vars
  - var activeLink = 'vue';
  - var title = 'Sortable Vue Component | Framework7 Vue Documentation';

block content


  .docs-nav
    include ../_docs-menu-vue
  .docs-content
    .motion-docs-page-title
      h1 Sortable Vue Component
      script(src="/js/motion/sortablelist.js")
      f7-motion-sortablelist(motion)

    p Sortable is not a separate component, but just a particular case of using <a href="list-view.html">&lt;f7-list&gt;</a> and <a href="list-item.html">&lt;f7-list-item&gt;</a> components.
    h2 Sortable Events
    table.events-table
      thead
        tr
          th Event
          th Description
      tbody
        tr
        th(colspan="2") &lt;f7-list&gt; events
          br
          small The following events will be available on &lt;f7-list&gt; when `sortable` prop enabled
        tr
          td sortable:enable
          td Event will be triggered when sortable mode is enabled
        tr
          td sortable:disable
          td Event will be triggered when sortable mode is disabled
        tr
          td sortable:sort
          td Event will be triggered after user release currently sorting element in new position. First handler argument contains object with `from`, `to` and `el` properties with start/new index numbers of sorted list item and the HTML element of sorted list item
        tr
          td sortable:move
          td Event will be triggered on every list item move during sorting

    h2 Examples
    +examplePreview('vue', 'sortable.vue', 'sortable')
